<?php
//Vérification (non authentifié = retour index)
session_start();

if(!$_SESSION['accreditation']=="Administrateur" && !$_SESSION['accreditation']=="Etudiant")
header('Location:../index.php');

try{
require_once(dirname(__FILE__).'/html2pdf-4.4.0/html2pdf.class.php'); //Chargement de la librairie, versions supérieures obligent à installer un "composer" sur l'environement serveur !

$html2pdf = new HTML2PDF('P','A4','fr');


include "../session/connexion.php";

$etudiant=$objPdo->prepare('SELECT * FROM etudiant');
$etudiant->execute();
// EOD est une méthode alternative en PHP à l'utilisation des quotes pour écrire plusieurs éléments string
$html = <<<EOD
<title>Identifiants Trombi</title>
<body>
<h1 style="text-align : center;color: black ;text-align:center; font : normal 30px arial;"><br />Identifiants de connexion pour les étudiants</h1>
<h4 style="text-align : center;color: black; text-allign:center; font : italic 12px arial;">(Billets à découper !)<br /></h4>
<span>____________________________________________________________________________________________________</span>
EOD;

$nbrEtuPage=1;
$nbrEtuPage1=1;
while($rowEtudiants=$etudiant->fetch())
{
	$identifiant="";
	$mdp="";
	$nomEtu=$rowEtudiants['nom_etu'];
	$prenomEtu=$rowEtudiants['prenom_etu'];  
	$ident=$objPdo->prepare('SELECT * FROM session, etudiant WHERE (nom_etu="'.$nomEtu.'" AND prenom_etu="'.$prenomEtu.'") AND etudiant.id_session=session.id_session');
	$ident->execute();
	while($rowIdent=$ident->fetch())
	{
		$identifiant = $rowIdent['identifiant'];
		$mdp=$rowIdent['mdp'];
	}
		
$html=$html.<<<EOD

<p style="text-align:left;">
<br />
Nom complet: $nomEtu $prenomEtu<br />
Identifiant : $identifiant<br />
Mot de passe : $mdp<br />
Adresse de connexion: https://infodb.iutmetz.univ-lorraine.fr/~schnei231u/ProjetWeb/ <br /></p>
<span>____________________________________________________________________________________________________</span>

EOD;
	if ($nbrEtuPage1 == 8 )
		{
	$html=$html.<<<EOD
		<br /><br /><br />
		<span>____________________________________________________________________________________________________</span>
EOD;
	$nbrEtuPage=1;
		}
		
		
			if ($nbrEtuPage == 10 )
		{
	$html=$html.<<<EOD
		<br /><br /><br />
		<span>____________________________________________________________________________________________________</span>
EOD;
	$nbrEtuPage=1;
		}
		
		
$nbrEtuPage++;
$nbrEtuPage1++;
}

$html=$html.<<<EOD
</body>
</html>
EOD;

$html2pdf->WriteHTML($html); //on écrit le contenu du string EOD qui est stocké dans $html dans un fichier pdf
$html2pdf->Output('identEtu.pdf'); //nommage du fichier pdf de sortie qui sera affiché
}
catch(HTML2PDF_exception $e){  //Si erreur alors on l'affiche
	die($e);
}
?>